classification
Title: Remove unsupported code from ctypes
Type: behavior Stage: resolved
Components: ctypes Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: amaury.forgeotdarc, belopolsky, meador.inge, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-08-07 09:12 by serhiy.storchaka, last changed 2014-08-09 06:46 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
ctype_bytes_checks-3.4.patch serhiy.storchaka, 2014-08-07 09:39 review
Messages (2)
msg224999 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-08-07 09:12
Some ctypes functions by mistake accept wrong types which then rejected by internal functions. This is mainly remnants of 2.x where both str and unicode was accepted and then automatically converted to right type.
msg225100 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-08-09 06:35
New changeset 034a5f15561d by Serhiy Storchaka in branch '3.4':
Issue #22161: Conformed arguments type checks in ctype to actually supported
http://hg.python.org/cpython/rev/034a5f15561d

New changeset 06cf4044a11a by Serhiy Storchaka in branch 'default':
Issue #22161: Conformed arguments type checks in ctype to actually supported
http://hg.python.org/cpython/rev/06cf4044a11a
History
Date User Action Args
2015-07-29 09:51:43vstinnerlinkissue17991 superseder
2014-08-09 06:46:51serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-08-09 06:35:05python-devsetnosy: + python-dev
messages: + msg225100
2014-08-07 09:39:30serhiy.storchakasetfiles: + ctype_bytes_checks-3.4.patch
2014-08-07 09:38:49serhiy.storchakasetfiles: - ctype_bytes_checks-3.4.patch
2014-08-07 09:13:36serhiy.storchakalinkissue10803 dependencies
2014-08-07 09:12:21serhiy.storchakacreate